PaidGoods
API referenceCustomer account

Store balance, statement and the store’s top-up offer

GET
/v1/public/stores/{storeId}/account/balance

Path Parameters

storeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/public/stores/string/account/balance"
{  "display": {    "amountMinor": -9007199254740991,    "currency": "string",    "sourceCurrency": "string",    "rateDate": "string"  },  "balanceMinor": -9007199254740991,  "currency": "string",  "balances": [    {      "currency": "string",      "balanceMinor": -9007199254740991    }  ],  "transactions": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "string",      "amountMinor": -9007199254740991,      "currency": "string",      "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",      "note": "string",      "createdAt": "string"    }  ],  "topUp": {    "enabled": true,    "presetsMinor": [      -9007199254740991    ],    "minMinor": -9007199254740991,    "maxMinor": -9007199254740991,    "allowCustom": true,    "disabledMethodIds": [      "1164fba2-2546-4797-af61-8f5cbdbe2ee2"    ],    "forceDiscordLogin": true  }}